package com.chokwapeem.game.desktop;

import org.usb4java.Device;

import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;
import com.chokwapeem.game.McuBoard;
import com.chokwapeem.game.McuWithPeriBoard;
import com.chokwapeem.game.SpaceShooter;

public class DesktopLauncher {
	public static void main (String[] arg) {
		LwjglApplicationConfiguration cfg = new LwjglApplicationConfiguration();
		
        McuBoard.initUsb();

        try
        {
        	Device[] devices = McuBoard.findBoards();
        	
        	if (devices.length == 0) {
                System.out.format("** Practicum board not found **\n");
                return;
        	}
        	else {
                System.out.format("** Found %d practicum board(s) **\n", devices.length);
        	}
            SpaceShooter.peri = new McuWithPeriBoard(devices[0]);

            System.out.format("** Practicum board found **\n");
            System.out.format("** Manufacturer: %s\n", SpaceShooter.peri.getManufacturer());
            System.out.format("** Product: %s\n", SpaceShooter.peri.getProduct());

        }
        catch (Exception e)
        {
            System.out.println(e);
        }

		
		new LwjglApplication(new SpaceShooter(), cfg);
		cfg.title = "SpaceShooter";
		cfg.width = 600;
		cfg.height = 500;
		cfg.useGL30 = false;
		cfg.resizable = false;
		
		new LwjglApplication(new SpaceShooter(), cfg);
	}
}
