#include <avr/io.h>
#include "peri.h"
#define SWITCH_GAME PB0
#define X_AXIS PC0
#define Y_AXIS PC1
#define ON 1
#define OFF 0
void init_peripheral()
{
 DDRC &= ~(1<<PC0)|(1<<PC1);
 DDRB &= ~(1<<PB1);
 DDRD |= (1<<PD0)|(1<<PD1)|(1<<PD5);
 PORTC |= (1<<PC0)|(1<<PC1);
 PORTB |= (1<<PB1);
 PORTD |= ((1<<PD0)|(1<<PD1)|(1<<PD5));


}



uint16_t read_adc(uint8_t channel)
{
    	ADMUX = (0<<REFS1)|(1<<REFS0)
		| (0<<ADLAR)
		| (channel & 0b1111);
	ADCSRA = (1<<ADEN)
		| (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)
		| (1<<ADSC);
	while ((ADCSRA & (1<<ADSC)))
		;
	return ADCL + ADCH*256;
}

void set_led_value(uint8_t value)
{
 // PORTD &= ~(0b00000111);
 // PORTD |= (value & 0b00000111);
  PORTD &= ~(1<<PD0) & ~(1<<PD1) & ~(1<<PD5);
  PORTD |= ((1<<PD0) | (1<<PD1) | (1<<PD5)) & value;
}

void set_led(uint8_t pin,uint8_t state)
{
if(state == 0){
PORTD &= ~(1<<pin);
}
else{
PORTD |= (1<<pin);
}
}
